package j2eetut.warehouse;

/*
 *
 * Copyright 2001 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the proprietary information of Sun Microsystems, Inc.  
 * Use is subject to license terms.
 * 
 */

import java.util.*;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.rmi.PortableRemoteObject;

public class WarehouseClient {

   public static void main(String[] args) {


       try {
           Context initial = new InitialContext();
           Object objref = initial.lookup("examples/SimpleWarehouse");

           WarehouseHome home = 
               (WarehouseHome)PortableRemoteObject.narrow(objref, 
                                            WarehouseHome.class);

           Warehouse duke = home.create();
           duke.ship("123", "456", 8);
           System.out.println("status = " + duke.getStatus("123", "456"));
           duke.remove();

           System.exit(0);

       } catch (Exception ex) {
           System.err.println("Caught an exception." );
           ex.printStackTrace();
       }

   } 
} 
